/* ======= COLORES ======= */

:root{
    --black: #222;
    --white: #ffffff;
    --azul: #0751a6;
    --amarillo: #d3b717;
    --rojo: #00ced1;
}
*,
*::before,
*::after{
    margin: 0;
    padding: 0;
    box-sizing: inherit;
}

html{
    box-sizing: border-box;
    font-size: 62.5%;
}
body{
    font-family: "Roboto", sans-serif;
    font-size: 1.6rem;
    font-weight: 400;
    color: var(--black);
    background-color: var(--white);
}

h2,
h3,
h4{
    font-weight: 400;
}
img{
    max-width: 100%;
    max-height: 100%;
}
a{
    text-decoration: none;
}
ul,
li{
    list-style: none;
}
.container{
    max-width: 114rem;
    margin: 0 auto;
    padding: 0 1.6rem;
}
@media only screen and (max-width: 1200px){
    .container{
        padding: 0 3rem;
    }
}
@media only screen and (max-width: 768px){
    .container{
        padding: 0 5rem;
    }
}

/* NAVIGATION */
.nav{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 1.5rem 0;
    line-height: 1rem;
    background-color: var(--black);
}
.nav__center{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}
.nav__logo{
    font-size: 2rem;
    color: var(--white);
}
.nav__logo span{
    color: #00ced1;
}
.nav__list{
    display: flex;
    align-items: center;
}

.carrito__icon{
    position: relative;
    cursor: pointer;
}
.carrito__icon i{
    margin-top: .6rem;
    font-size: 3.5rem;
    color: #00ced1;
}
.carrito__icon span{
    position: absolute;
    top: -.4rem;
    right: -3.7rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #00ced1;
    color: var(--white);
    padding: .5rem;
    font-size: 1.5rem;
    font-weight: 700;
    border-radius: 50%;
}

/* PRODUCTOS */
.rating span{
    font-size: 2rem;
    color: #00ced1;
}
.productos{
    padding: 5rem 0;
}
.productos__center{
    padding: 0 3rem;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    gap: 3rem 1rem;
}
.producto{
    display: flex;
    flex-direction: column;
    align-items: center;
    box-shadow: 0 .5rem 1.5rem rgba(0, 0, 0, .2);
}
.image__container img{
    width: 310px;
}
.productos__footer{
    padding: 1rem;
    width: 100%;
}
.productos__footer h1{
    height: 28px;
    overflow: hidden;
    font-size: 2rem;
    font-weight: 500;
}
.rating{
    margin: 1rem 0;
}
.bottom{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2rem 0;
}
.btn{
    display: inline-block;
    border: 1px solid #ccc;
    padding: 1rem 1.8rem;
    color: var(--black);
    font-weight: 500;
    font-size: 1.7rem;
    cursor: pointer;
    transition: all 300ms ease-in-out;
}
.btn:hover{
    background-color: var(--azul);
    color: var(--white);
    border: 1px solid var(--azul);
}
.price{
    font-weight: 700;
    font-size: 1.8rem;
}


/* Carrito */
.carrito__overlay{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: all 300ms ease-in-out;
    background-color: rgba(0, 0, 0, .7);
     visibility: hidden;
    z-index: 2;
}
.carrito{
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(.5);
    width: 60%;
    height: 80%;
    padding: 1.6rem;
    border-radius: 2rem;
    overflow-x: scroll;
    background-color: #f2f2f2;
     opacity: 0; 
     visibility: hidden; 
    transform: all 300ms ease-in-out;
}
.carrito.show{
    transform: translate(-50%, -50%) scale(1);
    opacity: 1;
    visibility: visible;
}
.carrito__overlay.show{
    visibility: visible;
}
.carrito .close__carrito{
    font-size: 4.5rem;
    cursor: pointer;
    color: var(--black);
    transform: all 300ms ease-in-out;
}
.carrito .close__carrito:hover{
    color: var(--rojo);
}
.carrito__item span{
    font-size: 2rem;
    color: rgb(88, 86, 86);
}
.carrito h1{
    text-align: center;
    margin-bottom: 2rem;
}
.carrito__item{
    display: grid;
    align-items: center;
    grid-template-columns: 1fr 2fr 1fr 1fr;
    width: 70%;
    margin: 2rem auto;
}
.carrito__item div{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.carrito__item div span{
    cursor: pointer;
}
.carrito__item img{
    width: 9rem;
}
.carrito__iem h3{
    font-weight: 500;
    margin-bottom: 1.5rem;
}
.carrito__item .price{
    color: var(--azul);
    font-weight: 700;
}
.carrito__item .remove__item{
    cursor: pointer;
    color: var(--rojo);
    font-size: 4rem;
}
.carrito__footer{
    text-align: center;
    margin: 3rem;
}
.carrito__footer .btn{
    display: inline-block;
    padding: 1rem 3rem;
    font-size: 2rem;
    background-color: #00ced1;
    border: none;
    margin-top: 2rem;
}
.carrito__footer .btn:focus{
    outline: none;
}
@media only screen and (max-width: 1350px){
    .carrito__item{
        width: 100%;
    }
}
@media only screen and (max-width: 700px){
    .carrito{
        width: 100%;
        height: 100%;
        border-radius: 0rem;
    }
    .carrito__item h3{
        font-size: 1.6rem;
        margin-bottom: 1rem;
    }
    .btn{
        padding: .8rem 1.5rem;
        font-size: 1.6rem;
    }
}

/*Filter*/
.filter{
    padding: 0 2rem;
    width: 100%;
    margin: 12rem auto 0 auto;
}
.filter .grid{
    display: grid;
    grid-template-columns: 1fr;
    grid-row-gap: 30px;
}
.filter label{
    font-size: 2.3rem;
    outline: 0;
    color: #7e7a7a;
}
.filter input{
    border: none;
    width: 80%;
    height: 30px;
    outline: 0;
    padding: 0 1rem;
    font-size: 1.6rem;
    font-weight: 500;
    color: #7e7a7a;
}
.filter .div{
    box-shadow: 0 2px 5px 0px rgba(0, 0, 0, .2);
    height: 40px;
    padding: .5rem 2rem;
}
.filter .category{
    box-shadow: 0 2px 5px 0px rgba(0, 0, 0, .2);
    display: flex;
    padding: 0 1rem;
    height: 40px;
}
.filter .category select{
    border: 0;
    outline: 0;
    width: 100%;
    font-size: 1.6rem;
    color: #5a5858;
}
@media (min-width: 768px){
    .filter .grid{
        grid-template-columns: 480px 200px;
        justify-content: space-between;
        max-width: 1092px;
        margin: auto;
    }
}
/* 
/* Detalles */
.detalles{
    height: 100vh;
    display: flex;
    justify-content: center;
    padding-top: 15rem;
}
.detalle-grid{
    display: grid;
    grid-template-columns: 1fr 1.2fr;
    gap: 3rem;
}
.detalles .img-fluid{
    max-width: 380px;
    width: 100%;
    margin: 5rem auto;
    box-shadow: 0 5px 10px 1px rgba(0, 0, 0, .2);
} 
.detalles-content{
    padding: 2rem;
}
.detalles-content h3{
    font-weight: 600;
    text-transform: uppercase;
}
.detalles-content .precio span{
    color: var(--azul);
    font-size: 2rem;
    font-weight: 600;
}
.detalles-content .description{
    padding-top: 2rem;
}
.detalles-content .description span{
    line-height: 2.8rem;
}
@media only screen and (max-width: 840px){
    .detalle-grid{
        grid-template-columns: 1fr;
    }
}

.feedback-input {
    color:#3c3c3c;
    font-weight:500;
    font-size: 18px;
    border-radius: 0;
    line-height: 22px;
    background-color: #fbfbfb;
    padding: 13px 13px 13px 54px;
    margin-bottom: 10px;
    width:100%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
    border: 3px solid rgba(0,0,0,0);
}

/*al seleccionar el text area cambia*/
.feedback-input:focus{
	background: #fff;
	box-shadow: 0;
	border: 3px solid #080808;
	color: #d3a211;
	outline: none;
  padding: 13px 13px 13px 54px;
}

/* Iconos del formulario ---------------------------------- */
#name{
	background-image: url(http://rexkirby.com/kirbyandson/images/name.svg);
	background-size: 30px 30px;
	background-position: 11px 8px;
	background-repeat: no-repeat;
}

#email{
	background-image: url(http://rexkirby.com/kirbyandson/images/email.svg);
	background-size: 30px 30px;
	background-position: 11px 8px;
	background-repeat: no-repeat;
}

#comment{
	background-image: url(http://rexkirby.com/kirbyandson/images/comment.svg);
	background-size: 30px 30px;
	background-position: 11px 8px;
	background-repeat: no-repeat;
}

textarea {
    width: 100%;
    height: 150px;
    line-height: 150%;
    resize:vertical;
    font-family: sans-serif;
}

#boton{
    float:left;
    width: 100%;
    border: #040404 4px;
    border-style: outset; 
    cursor:pointer; 
    background-color: #d3b611;
    color:white;
    font-size:24px;
    padding-top:22px;
    padding-bottom:22px;
    -moz-transition: all 0.3s;
    transition: all 0.3s;
    margin-top:-4px;
    font-weight:700;
}

#boton:hover{
	background-color: white;
	color: #d3a211;
    -moz-transition: 0.5s ease;
    -o-transition: 0.5s ease;
    -ms-transition: 0.5s ease;
    transition: 0.5s ease;
}

/*Para mostrar en dos columnas*/

.caja{
    padding-top: 30px;
   
}

.content {
    font-size: 30px;
    line-height: 20px;
    padding: 0 20px;
    text-align: justify;
    word-wrap: break-word;
}

.izq {
    float: left;
    width: 50%;
}

.dch {
    float: right;
    width: 45%;
}

.content dch{
color: white;
}

a.nounderline:link   
{   
 text-decoration:none;   
} 

.iconos{
color: #333333; /*Color del icono*/
font-size: 50px !important; /*Tamaño del icono*/
}

.iconos:hover{ 
color: #00ced1; /*Cambia el color del icono*/
} 
.row {
    display: flex;
    /*Si una columna no entra, esa columna va hacia abajo*/
    flex-wrap: wrap;
    margin-left: -15px;
    margin-right: -15px;
  }


#contactenos {
    position:relative;
  }
  
  #contactenos iframe {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
  }
  
  #contactenos form {
    padding: 60px;
    background-color: #00ced1;
  }
  
  #contactenos #formulario-contacto .form-block {
    width: 100%;
    margin-bottom: 15px;
  }
  
  #contactenos #formulario-contacto .form-block .form-control {
    display: block;
    height: 40px;
    font-size: 16px;
    width: 100%;
    padding: 5px 10px;
  }
  
  #contactenos #formulario-contacto .form-block textarea {
    display: block;
    height: 100px;
    font-size: 16px;
    border: 1px solid grey;
    width: 100%;
    padding: 5px 10px;
    /*No se puede dimensionar el textarea*/
    resize: none;
  }
  
  #contactenos #formulario-contacto .form-block.bloque-ultimo {
    margin-bottom: 0;
  }
  
  .boton.boton-negro {
    background-color: black;
    color: white;
    font-size: 20px;
    font-weight: bold;
  }
  
  .boton.boton-negro:hover {
    background-color: white;
    color: black;
  }
  
  footer {
    background-color: black;
    color: white;
    padding-top: 60px;
  }
  
  footer .barra-footer {
    background-color: grey;
    text-align: center;
    padding-right: 15px;
    padding-left: 15px;
    padding-top: 20px;
    padding-bottom: 20px;
  }
  
  
  
  header .container .hamb {
    display: none;
  }
  
  /*Validacion del formulario*/
  
  .formulario-input-error {
    font-size: 12px;
    margin-bottom: 0;
    color: black;
    display: none;
  }
  
  .formulario-input-error-activo {
    display: block;
  }
  
  .formulario-mensaje-exito {
    font-size: 14px;
    color: white;
    display: none;
  }
  
  .formulario-mensaje-exito-activo {
    display: block;
  }
  
  .form-control-error {
    border: 3px solid orange;
  }
  
  /*El tamaño de una tablet es 768px*/
  
  @media screen and (max-width: 768px){
    body {
      font-size: 15px;
    }
  
    header .container nav {
      position: fixed;
      width: 100%;
      height: 100%;
      background-color: white;
      padding-top: 80px;
      padding-bottom: 80px;
      padding-right: 15px;
      padding-left: 15px;
      top: 0px;
      left: 0px;
      display: flex;
      /*Convierte las filas en columnas*/
      flex-direction: column;
      transition: all 0.4s ease;
      transform: translate(100%);
    }
  
    header .container nav.open {
      /*Se cierra el menu*/
      transform: translateX(0) !important;
    }
  
    header .container nav a {
      font-size: 30px;
      margin: 15px;
    }
  
    header .container .hamb {
      display: block;
      font-size: 40px;
      color: #00ced1;
      position: relative;
    }
  
    form .boton.boton-negro {
      width: 100%;
    }
  
    footer {
      text-align: center;
    }
  
    footer .logo-footer {
      width: 50%;
    }
  
    footer .redes {
      flex-direction: column;
    }
  
    .container {
      width: 100%;
    }
  
    .columna-mobile-100 {
      width: 100%;
    }
  
    .columna-mobile-50 {
      width: 50%;
    }
  
    .empujar-mobile-0 {
      margin-left: 0;
    }
  
    .sinpadding-mobile {
      padding: 0px;
    }
  
    #inicio {
      height: 120vw;
    }
  
    #inicio img {
      height: 100%;
      object-fit: cover;
      object-position: center;
    }
  
    #servicios .bloque-servicio {
      margin-bottom: 15px;
    }
  
    #contactenos {
      padding: 0;
    }
  
    #contactenos iframe {
      position: relative;
      height: 50vw;
    }
  }




